.PHONY: crds

clean:
	rm -r crds/ || true

crds: clean
	crd2pulumi --go ~/Documents/virtualization/kubeadm/cert-manager/cert-manager/1-crds.yaml
	crd2pulumi --go ~/Documents/virtualization/kubeadm/external-dns/2-crds.yaml
	helm -n kube-ingress show crds traefik/traefik | yq 'del(. | select(.spec.group == "traefik.containo.us"))' | crd2pulumi --go -

test:
	pulumi up --stack prod

destroy:
	pulumi destroy --stack prod